Corrections

This commit is contained in:
Adrien Ferrand 2020-01-03 10:48:13 +01:00
parent 34b56f9332
commit f07b8d1537
2 changed files with 10 additions and 16 deletions

View file

@ -1085,7 +1085,7 @@ if [ "$1" = "--le-auto-phase2" ]; then
# In this situation, we bypass any bootstrap or certbot venv setup.
error "Your system is not supported by certbot-auto anymore."
if OldVenvExists; then
if [ ! -d "$VENV_PATH" ] && OldVenvExists; then
VENV_BIN="$OLD_VENV_PATH/bin"
fi

View file

@ -32,8 +32,6 @@ if python3 --version 2> /dev/null; then
fi
# ensure python2.7 is available
python2.7 --version 2> /dev/null
RESULT=$?
if ! python2.7 --version 2> /dev/null; then
echo "Python2.7 is not available."
exit 1
@ -88,14 +86,12 @@ unset VENV_PATH
# ensure CentOS6 32bits is not supported anymore, and so certbot
# is not upgraded nor reinstalled.
export UNAME_FAKE_32BITS=true
if ! "$LE_AUTO" --version > /dev/null 2> /dev/null; then
echo "On CentOS 6 32 bits, certbot-auto failed to run installed certbot instance."
exit 1
fi
set -o pipefail
if ! "$LE_AUTO" --version 2>&1 | grep -q "Certbot will no longer receive updates."; then
echo "On CentOS 6 32 bits, certbot-auto upgraded installed certbot instance."
echo "On CentOS 6 32 bits, certbot-auto failed or upgraded installed certbot instance."
exit 1
fi
set +o pipefail
if ! "$LE_AUTO" --install-only 2>&1 | grep -q "Certbot cannot be installed."; then
echo "On CentOS 6 32 bits, certbot-auto installed certbot again."
exit 1
@ -105,18 +101,16 @@ fi
# we're going to modify env variables, so do this in a subshell
(
# Prepare a certbot installation in the old venv path
export VENV_PATH=~/.local/share/letsencrypt
"$LE_AUTO" --install-only > /dev/null 2> /dev/null
rm -rf /opt/eff.org
VENV_PATH=~/.local/share/letsencrypt "$LE_AUTO" --install-only > /dev/null 2> /dev/null
# fake 32 bits mode
export UNAME_FAKE_32BITS=true
if ! "$LE_AUTO" --version > /dev/null 2> /dev/null; then
echo "On CentOS 6 32 bits, certbot-auto failed to run installed certbot instance in the old venv path."
exit 1
fi
if ! "$LE_AUTO" 2>&1 | grep -q "Certbot will no longer receive updates."; then
echo "On CentOS 6 32 bits, certbot-auto upgraded installed certbot in the old venv path."
set -o pipefail
if ! "$LE_AUTO" --version 2>&1 | grep -q "Certbot will no longer receive updates."; then
echo "On CentOS 6 32 bits, certbot-auto failed or upgraded installed certbot in the old venv path."
exit 1
fi
set +o pipefail
)
echo "PASSED: On CentOS 6 32 bits, certbot-auto refused to install/upgrade certbot."